<?php
	
// SETTINGS
	
	error_reporting(0);
	header ('content-type: text/xml');

	$root = '../../../';

// ACTIONS
	
	$exif = simplexml_load_string('<?xml version="1.0" encoding="utf-8"?><exif></exif>');
	
	if(isset($_GET['image']) && file_exists($root . $_GET['image'])) {
		// Get EXIF library
		include('exif.php');
		
		// Make valid XML tag
		function parse_keys($string) {
			return preg_replace("/\W/", "", $string);
		}
		
		// Get EXIF data
		$exif_data = read_exif_data_raw($root . $_GET['image'], 0);
		$exif_keys = array_keys($exif_data);
		
		foreach($exif_keys as $key) {
			if(is_array($exif_data[$key])) {
				$exif_array_keys = array_keys($exif_data[$key]);
				
				foreach($exif_array_keys as $entry) {
					$entry = parse_keys($entry);
					if(is_numeric($exif_data[$key][$entry])) $exif_data[$key][$entry] = round($exif_data[$key][$entry]);
					if($entry != '') $exif->$entry = $exif_data[$key][$entry];
				}
			} else {
				$key = parse_keys($key);
				if(is_numeric($exif_data[$key])) $exif_data[$key] = round($exif_data[$key]);
				if($key != '') $exif->$key = $exif_data[$key];
			}
		}
	}
	
	echo $exif->asXML();
	
?>